Skip to content

Queries using the input request criteria.
Beta

Request

  • The API supports full text search on string fields, range queries on date, numeric or string fields, along with geo-spatial search.
  • It can be used to retrieve large numbers of results (or even all results) from a single search request, in much the same way as you would use a cursor on a traditional database.
  • Required roles: ''users.datalake.viewers'' or ''users.datalake.editors'' or ''users.datalake.admins''. In addition, users must be a member of data groups to access the data.'
Security
bearer
Headers
data-partition-idstringrequired

Desired data partition id

Bodyapplication/json
kindstring or Array of stringsrequired
Example:"slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0"
One of:

Specify a single kind, e.g., "slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0"

string
limitinteger, (int32), [ 0 .. 1000 ]

The maximum number of results to return from the given offset. If no limit is provided, then it will return 10 items. Max number of items which can be fetched by the query is 1000.

Example:30
querystring

The query string in Lucene query string syntax.

Example:"data.Basin:\"Ft. Worth\""
returnedFieldsArray of strings

The fields on which to project the results.

Example:
[ "data.kind" ]
sortobject(SortQuery)
Example:
{ "field": [ "createTime" ], "order": [ "DESC" ] }
queryAsOwnerboolean

The queryAsOwner switches between viewer and owner to return results that you are entitled to view or results you are the owner of.

Example:false
spatialFilterobject(SpatialFilter)
Example:
{ "field": "data.SpatialLocation.Wgs84Coordinates", "byBoundingBox": { "topLeft": { … }, "bottomRight": { … } } }
cursorstring

Search context to retrieve next batch of results.

Example:"<put a valid cursor or leave it blank for the first request>"
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/search-extensions/v1alpha/query_with_cursor \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "kind": "slb-osdu-prod-des-prod-testing:welldb:wellbore:1.0.0",
    "limit": 30,
    "query": "data.Basin:\"Ft. Worth\"",
    "returnedFields": [
      "data.kind"
    ],
    "queryAsOwner": false,
    "cursor": "<put a valid cursor or leave it blank for the first request>"
  }'

Responses

Success

Bodyapplication/json
cursorstring or null
resultsArray of objects
totalCountinteger, (int64)
Response
{ "cursor": "string", "results": [ {} ], "totalCount": 0 }